## org.eclipse.datatools.connectivity.oda.flatfile.util.querytextutil
Class QueryTextUtil

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.flatfile.util.querytextutil.QueryTextUtil

    public class QueryTextUtil

extends java.lang.Object

Utility class for splitting query text into query and columns information

Constructor Summary
`QueryTextUtil(java.lang.String queryText)`

Method Summary
`java.lang.String` `getColumnsInfo()`
`java.lang.String` `getQuery()`
`static java.lang.String[]` `getQueryMetaData(java.lang.String query)`
`static java.lang.String` `getQuotedName(java.lang.String name)`
`static java.lang.String` `getUnQuotedName(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryTextUtil

    public QueryTextUtil(java.lang.String queryText)
                  throws OdaException

Throws:
  `OdaException`

Method Detail

### getQuery

    public java.lang.String getQuery()

### getColumnsInfo

    public java.lang.String getColumnsInfo()

### getQuotedName

    public static java.lang.String getQuotedName(java.lang.String name)

### getUnQuotedName

    public static java.lang.String getUnQuotedName(java.lang.String name)

### getQueryMetaData

    public static java.lang.String[] getQueryMetaData(java.lang.String query)
                                               throws OdaException

  Throws:
    `OdaException`